# Clehrity

[![PyPI](https://img.shields.io/pypi/v/clehrity.svg)][pypi_]
[![Status](https://img.shields.io/pypi/status/clehrity.svg)][status]
[![Python Version](https://img.shields.io/pypi/pyversions/clehrity)][python version]
[![License](https://img.shields.io/pypi/l/clehrity)][license]

[![Read the documentation at https://clehrity.readthedocs.io/](https://img.shields.io/readthedocs/clehrity/latest.svg?label=Read%20the%20Docs)][read the docs]
[![Tests](https://github.com/blengerich/clehrity/workflows/Tests/badge.svg)][tests]
[![Codecov](https://codecov.io/gh/blengerich/clehrity/branch/main/graph/badge.svg)][codecov]

[![pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)][pre-commit]
[![Black](https://img.shields.io/badge/code%20style-black-000000.svg)][black]

[pypi_]: https://pypi.org/project/clehrity/
[status]: https://pypi.org/project/clehrity/
[python version]: https://pypi.org/project/clehrity
[read the docs]: https://clehrity.readthedocs.io/
[tests]: https://github.com/blengerich/clehrity/actions?workflow=Tests
[codecov]: https://app.codecov.io/gh/blengerich/clehrity
[pre-commit]: https://github.com/pre-commit/pre-commit
[black]: https://github.com/psf/black

## Features

EHR deconfounding via:

- Statistical tests of discontinuity / non-monotoncities
- Integration with LLMs to find surprising / counter-causal effects

## Requirements

- Python >=3.9

## Installation

You can install _Clehrity_ via [pip] from [PyPI]:

```console
$ pip install clehrity
```

## Usage

Please see the [Command-line Reference] for details.

## Contributing

Contributions are very welcome.
To learn more, see the [Contributor Guide].

## License

Distributed under the terms of the [MIT license][license],
_Clehrity_ is free and open source software.

## Issues

If you encounter any problems,
please [file an issue] along with a detailed description.

## Credits

This project was generated from [@cjolowicz]'s [Hypermodern Python Cookiecutter] template.

[@cjolowicz]: https://github.com/cjolowicz
[pypi]: https://pypi.org/
[hypermodern python cookiecutter]: https://github.com/cjolowicz/cookiecutter-hypermodern-python
[file an issue]: https://github.com/blengerich/clehrity/issues
[pip]: https://pip.pypa.io/

<!-- github-only -->

[license]: https://github.com/blengerich/clehrity/blob/main/LICENSE
[contributor guide]: https://github.com/blengerich/clehrity/blob/main/CONTRIBUTING.md
[command-line reference]: https://clehrity.readthedocs.io/en/latest/usage.html
